SDL Library Documentation
Prev |  | Next

# SDL_LockAudio

## Name

SDL_LockAudio -- Lock out the callback function

## Synopsis

    #include "SDL.h"

``void SDL_LockAudio`(void);`

## Description

The lock manipulated by these functions protects the callback function. During a LockAudio period, you can be guaranteed that the callback function is not running. Do not call these from the callback function or you will cause deadlock.

## See Also

`SDL_OpenAudio`

Prev | Home | Next
SDL_MixAudio | Up | SDL_UnlockAudio